summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Benjamin Trigona-Harany <bosth@alumni.sfu.ca>2011-01-09 12:34:35 -0500
committer Robby Workman <rworkman@slackbuilds.org>2011-01-10 15:04:44 -0600
commitc36207572c375623455a48d9f512c2502d663cd2 (patch)
tree39f1f817c0bb04b132735ff123dd286ede6d6545 /libraries
parent7731e4686a24533c2e1eca5befb819b920f52671 (diff)
downloadslackbuilds-c36207572c375623455a48d9f512c2502d663cd2.tar.gz
slackbuilds-c36207572c375623455a48d9f512c2502d663cd2.tar.xz
libraries/rubygem-locale: Added (localisation API for Ruby)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/rubygem-locale/README2
-rw-r--r--libraries/rubygem-locale/rubygem-locale.SlackBuild99
-rw-r--r--libraries/rubygem-locale/rubygem-locale.info10
-rw-r--r--libraries/rubygem-locale/slack-desc19
4 files changed, 130 insertions, 0 deletions
diff --git a/libraries/rubygem-locale/README b/libraries/rubygem-locale/README
new file mode 100644
index 0000000000..9cea5089cf
--- /dev/null
+++ b/libraries/rubygem-locale/README
@@ -0,0 +1,2 @@
+Ruby-Locale is the pure ruby library which provides basic APIs for
+localization.
diff --git a/libraries/rubygem-locale/rubygem-locale.SlackBuild b/libraries/rubygem-locale/rubygem-locale.SlackBuild
new file mode 100644
index 0000000000..3bfc52f257
--- /dev/null
+++ b/libraries/rubygem-locale/rubygem-locale.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Script written by Benjamin Trigona-Harany (bosth@alumni.sfu.ca)
+# based on rubygem template by vbatts
+
+PRGNAM=rubygem-locale
+VERSION=${VERSION:-2.0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=locale
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+DESTDIR=$( ruby -r rbconfig -e '
+include RbConfig
+printf("%s/%s/gems/%s\n",
+ CONFIG["libdir"],
+ CONFIG["RUBY_INSTALL_NAME"],
+ CONFIG["ruby_version"]
+ )
+')
+
+# print a friendly warning of unsatisfied dependencies
+gem specification $CWD/$SRCNAM-$VERSION.gem | \
+ ruby -r yaml -r rbconfig -e '
+c = Config::CONFIG
+path = sprintf("%s/%s/gems/%s",
+ c["libdir"],
+ c["RUBY_INSTALL_NAME"],
+ c["ruby_version"])
+sys_gemspecs = Dir.glob(path + "/specifications/*").map {|g| gs = Gem::Specification.load(g); gs.name }
+obj = Gem::Specification.from_yaml($stdin)
+obj.dependencies.each {|dep|
+ if not(dep.type == :runtime)
+ next
+ end
+ if not(sys_gemspecs.include?(dep.name))
+ $stderr.write("WARNING: #{dep.name} gem not found\n")
+ sleep 0.5
+ end
+}'
+
+gem install \
+ --local \
+ --no-update-sources \
+ --ignore-dependencies \
+ --backtrace \
+ --install-dir $PKG/$DESTDIR \
+ $CWD/$SRCNAM-$VERSION.gem
+
+# Strip binaries and libraries.
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Remove cached gem from install
+rm -rf $PKG/$DESTDIR/cache
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+tar -x -O --file=$CWD/$SRCNAM-$VERSION.gem data.tar.gz | tar -xz -C $PKG/usr/doc/$PRGNAM-$VERSION --file=- \
+ ChangeLog COPYING
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/rubygem-locale/rubygem-locale.info b/libraries/rubygem-locale/rubygem-locale.info
new file mode 100644
index 0000000000..ea6a359dcc
--- /dev/null
+++ b/libraries/rubygem-locale/rubygem-locale.info
@@ -0,0 +1,10 @@
+PRGNAM="rubygem-locale"
+VERSION="2.0.5"
+HOMEPAGE="http://locale.rubyforge.org/"
+DOWNLOAD="http://rubygems.org/downloads/locale-2.0.5.gem"
+MD5SUM="90d530335d0210f8e58c2bad95003951"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="bosth@alumni.sfu.ca"
+APPROVED="dsomero"
diff --git a/libraries/rubygem-locale/slack-desc b/libraries/rubygem-locale/slack-desc
new file mode 100644
index 0000000000..53d971c8b5
--- /dev/null
+++ b/libraries/rubygem-locale/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+rubygem-locale: rubygem-locale (localisation API for Ruby)
+rubygem-locale:
+rubygem-locale: Rubygem of the pure ruby library which provides basic APIs for
+rubygem-locale: localisation.
+rubygem-locale:
+rubygem-locale:
+rubygem-locale:
+rubygem-locale:
+rubygem-locale:
+rubygem-locale:
+rubygem-locale: